ref_ptr File Reference
`#include <osg/Config>`

Go to the source code of this file.

## Classes

class | osg::ref_ptr< T >

## Namespaces

namespace | osg

## Macros

#define | OSG_REF_PTR 1

## Functions

template<class T>
void | osg::swap (ref_ptr< T > &rp1, ref_ptr< T > &rp2)
template<class T>
T * | osg::get_pointer (const ref_ptr< T > &rp)
template<class T, class Y>
ref_ptr< T > | osg::static_pointer_cast (const ref_ptr< Y > &rp)
template<class T, class Y>
ref_ptr< T > | osg::dynamic_pointer_cast (const ref_ptr< Y > &rp)
template<class T, class Y>
ref_ptr< T > | osg::const_pointer_cast (const ref_ptr< Y > &rp)

## Macro Definition Documentation

## OSG_REF_PTR

#define OSG_REF_PTR 1